import { KNativePointer } from "../../src/reexport-for-generated";
import { Es2pandaAstNodeType } from "./../Es2pandaEnums";
import { TypeNode } from "./TypeNode";
export declare class TSIndexedAccessType extends TypeNode {
    constructor(pointer: KNativePointer, astNodeType: Es2pandaAstNodeType);
    static createTSIndexedAccessType(objectType?: TypeNode, indexType?: TypeNode): TSIndexedAccessType;
    static updateTSIndexedAccessType(original?: TSIndexedAccessType, objectType?: TypeNode, indexType?: TypeNode): TSIndexedAccessType;
    get objectType(): TypeNode | undefined;
    get indexType(): TypeNode | undefined;
    protected readonly brandTSIndexedAccessType: undefined;
}
export declare function isTSIndexedAccessType(node: object | undefined): node is TSIndexedAccessType;
